<%@ page contentType="text/html" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
	<%@ include file="../base/includeHeader.jsp" %>
	<body>
	<f:view>
		<%@ include file="top.jsp"%>
		<%@ include file="../acegiexc2msg.jsp"%>
		<h:form id="login">
			<h3>Anmeldung</h3>
			<h:messages id="messages" layout="table" globalOnly="true" showSummary="true" showDetail="false" errorStyle="color:red" />
			<table>
				<tr>
					<td>Name:</td>
					<td>
						<t:inputText id="j_username" forceId="true" value="#{customer.username}" size="40" maxlength="80"></t:inputText>
				    </td>
				</tr>
				<tr>
					<td>Passwort:</td>
					<td>
						<t:inputSecret id="j_password" forceId="true" value="#{customer.password}" size="40" maxlength="80" redisplay="true"></t:inputSecret>
				    </td>
				</tr>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton value="Anmelden" action="login" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
	</body>
</html>