<%@ page contentType="text/html"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ include file="../base/includeHeader.jsp"%>
<body>
	<f:view>
		<%@ include file="top.jsp"%>
		<h:form id="form">
			<h3>Bestellbesttigung</h3>
			<p>
				Die Lieferung erfolgt voraussichtlich in <h:outputText value="#{orderAction.queueTime}" /> Minuten.
			</p>
			<p>		
			Mit der Besttigung wird die Bestellung an folgende Person geliefert:
			</p>
			<p>
				Name: <h:outputText value="#{customerAction.currentCustomer.name}" /><br/>
				Anschrift:<br/>
				<h:outputText id="Anschrift" value="#{customerAction.currentCustomer.address.street}"/><br/>
				<h:outputText id="Postleitzahl" value="#{customerAction.currentCustomer.address.zip}"/>
				<h:outputText id="Ort" value="#{customerAction.currentCustomer.address.city}"/>
			</p>
			<table>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Bestellung besttigen" action="#{orderAction.order}" immediate="false" />
						<h:commandButton type="submit" value="Abbruch" action="cancel"	immediate="false" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
</body>
</html>
