<%@ page contentType="text/html"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ include file="../base/includeHeader.jsp"%>
<body>
<f:view>
	<%@ include file="top.jsp"%>
	<h:form id="customer">
		<h3>Kundenliste</h3>
		<table>
			<h:dataTable value="#{customerDao.allCustomers}" var="customer"
				border="1">
				<h:column>
					<f:facet name="header">
			          <h:outputText value="Name"/>
	        		</f:facet>
	        		<h:outputText value="#{customer.name}" />
				</h:column>
				<h:column>
					<f:facet name="header">
			          <h:outputText value="Benutzername"/>
	        		</f:facet>
					<h:outputText value="#{customer.username}" />
				</h:column>
				<!-- Um eine LazyInitializationExcedption zu provozieren, hier auf customer.address.zip zugreifen -->
				<h:column>
					<f:facet name="header">
			          <h:outputText value="Postleitzahl"/>
	        		</f:facet>
					<h:outputText value="#{customer.address.zip}" />
				</h:column>
			</h:dataTable>
			<tr>
				<td colspan="2" class="buttonBar">
					<h:commandButton type="submit" value="Passwort zurcksetzen" action="#{customerAction.resetPassword}" immediate="false" />
				</td>
			</tr>
		</table>
	</h:form>
</f:view>
</body>
</html>
