<%@ page contentType="text/html"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ include file="../base/includeHeader.jsp"%>
<body>
	<f:view>
		<%@ include file="top.jsp"%>
		<h:form id="form">
			<h3>Bestellhistorie</h3>
			<table>
				<h:dataTable value="#{orderAction.orderHistory}" var="order"
					border="1">
					<h:column>
						<h:outputText value="#{order.creationTime}" />
					</h:column>
					<h:column>
						<h:dataTable value="#{order.pizzas}" var="pizza"
							border="1">
							<h:column>
								<h:outputText value="#{pizza.name}" />
							</h:column>
							<h:column>
								<h:dataTable value="#{pizza.toppings}" var="topping"
									border="1">
									<h:column>
										<h:outputText value="#{topping.name}" />
									</h:column>
								</h:dataTable>
							</h:column>
						</h:dataTable>
					</h:column>
				</h:dataTable>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Abbruch" action="cancel"	immediate="false" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
</body>
</html>
