package de.hanser.buch.opiz.web.jsf;

import java.util.Map;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

import org.acegisecurity.ui.AbstractProcessingFilter;

public class AcegiExceptionMapper {

    // Wandle eine eventuell vorhandene ACEGI-Exception in eine JSF-Message um
    @SuppressWarnings("unchecked")
    public static void mapAcegiExeptionToJSFException()
    {
        Map sessionMap = FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
        Exception e = (Exception)sessionMap.get(AbstractProcessingFilter.ACEGI_SECURITY_LAST_EXCEPTION_KEY);
        if (e != null) {
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, e.getMessage(), e.getMessage()));
            // Alte Exception aus der Session lschen
            sessionMap.put(AbstractProcessingFilter.ACEGI_SECURITY_LAST_EXCEPTION_KEY, null);
        }
        
    }
}
