package de.hanser.buch.opiz.dao;

import de.hanser.buch.opiz.domain.Pizza;


/**
 * Die Pizza-DAO-Schnittstelle.
 * <p>
 * @author dr richard oates
 *
 */
public interface PizzaDao {

    Pizza getPizza(Integer pizzaId);


    /**
     * Save a pizza in the db.
     *
     * @param aPizza
     * @return PK of inserted pizza.
     */
    Integer savePizza(Pizza aPizza);

    /**
     * Aktualisiert ein (detachtes) Pizza-Objekt.
     * @param aPizza
     */
    void update(Pizza aPizza);
    
}
