package de.hanser.buch.opiz.service;

import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import de.hanser.buch.opiz.domain.Customer;

/**
 * Die CustomerService-Schnittstelle.
 * @author g. bachlmayer
 *
 */
@Transactional(propagation=Propagation.REQUIRES_NEW, isolation=Isolation.REPEATABLE_READ, readOnly=true)
public interface CustomerService {
	
	public void createCustomer(Customer c);
	
}