package de.hanser.buch.opiz.service;

/**
 * Die Exception wird geworfen, wenn beim Ueberpruefen des Lagerbestands ein Fehler auftritt.
 * @author Gerald Bachlmayr
 *
 */
@SuppressWarnings("serial")
public class InventoryException extends Exception {
	
	
    public InventoryException(String message) {
    	super(message);
    }
    
    public InventoryException(Throwable cause) {
    	super(cause);
    }
    
    public InventoryException(String message, Throwable cause) {
    	super(message, cause);
    }
}
