package de.hanser.buch.opiz.domain;

import javax.persistence.Entity;
import javax.persistence.DiscriminatorValue;

/**
 * Reprsentiert einen Lieferanten.
 *
 * @author Stefan Wille
 */
@Entity
@DiscriminatorValue("Supplier")
public class Supplier extends BusinessPartner {
    private int billsDueInDays;

    /**
     * Default-Konstruktor fr Hibernate.
     */
    public Supplier() {
    }

    /**
     * Das Zahlungsziel bei diesem Lieferanten.
     */
    public int getBillsDueInDays() {
        return billsDueInDays;
    }

    public void setBillsDueInDays(int billsDueInDays) {
        this.billsDueInDays = billsDueInDays;
    }

}
