package de.hanser.buch.opiz.domain;

/**
 * Die Preise für Beläge werden in Kategorien eingeteilt. <p/>
 * Preise wurden unverschämt von Smileys ausgeliehen ;-)
 * 
 */
public enum ToppingPriceCategory {
    ONE {
        @Override
        public double getPrice() {
            return 0.95;
        }
    },

    TWO {
        @Override
        public double getPrice() {
            return 1.55;
        }
    },

    THREE {
        @Override
        public double getPrice() {
            return 2.10;
        }
    };

    public abstract double getPrice();
}
