<%@page import="org.acegisecurity.ui.AbstractProcessingFilter"%>
<%@page import="org.acegisecurity.ui.savedrequest.SavedRequest"%>
<%@page errorPage="errorpage.jsp"%>
<%
    String urlKey = AbstractProcessingFilter.ACEGI_SAVED_REQUEST_KEY;
	SavedRequest savedRequest = (SavedRequest) session.getAttribute(urlKey);
    session.removeAttribute(urlKey);

    String target = "/";
    if (savedRequest != null) {
        // Acegi speichert die ursprngliche Ziel-URL in der Session.
        // Damit die Einbindung in JSF klappt, wird ACEGI immer an diese JSP
        // verwiesen (siehe Konfiguration acegi.xml) und wir machen
        // das Weiterleiten JSF-konform per Hand.
        
	    String ctxPath = request.getContextPath();
	    String targetUrl = savedRequest.getFullRequestUrl();
	    int idx = targetUrl.indexOf(ctxPath);
	    int idxSuffix = targetUrl.lastIndexOf('.');
	    
	    // Hier wird der Ziel-URL noch ein "jsf"-Suffix verpasst,
	    // so dass JSF korrekt initialisiert wird. Wenn wir das nicht machen,
	    // bekommen wir eine NullPointerException in der Methode setRepsonseWriter().
	    if (idxSuffix != -1)
	    {
	    	target = targetUrl.substring(idx + ctxPath.length(), idxSuffix + 1) + "jsf";
	    } else
	    {
	        // Url ohne JSF-Suffix
	        target = targetUrl.substring(idx + ctxPath.length(), targetUrl.length()); 
	    }
    }
%>

<jsp:forward page="<%=target%>" />
