<%@ page contentType="text/html" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ include file="../base/includeHeader.jsp" %>
<body>
	<f:view>
		<%@ include file="top.jsp"%>
		<h:form id="form1">
			<h3>Whle eine Standard-Pizza ... </h3>
			<table>
				<tr>
					<td>
						<h:panelGrid columns="2">
							<h:selectOneRadio id="Pizza" value="#{pizza}" layout="pageDirection" required="true">
						    	<f:selectItems value="#{pizzasList.selectionList}" />
								<f:converter converterId="pizzaConverter"/>
							</h:selectOneRadio>
							<h:message for="Pizza" style="color:red"/>
						</h:panelGrid>
					</td>
				</tr>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Abbruch" action="cancel" immediate="true" />
						<h:commandButton type="submit" value="In den Warenkorb" action="#{orderAction.add}" immediate="false" />
					</td>
				</tr>
			</table>
		</h:form>
		<h3>... oder bau Dir selbst eine Pizza</h3>
		<h:form id="form2">
			<table>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Selbstbau" action="customize" immediate="false" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
</body>
</html>
