<%@ page contentType="text/html" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
	<%@ include file="../base/includeHeader.jsp" %>
	<body>
	<f:view>
		<%@ include file="top.jsp"%>
		<h:form id="register">
		<h3>Kundenregistrierung</h3>
			<h:messages id="messages" layout="table" globalOnly="true" showSummary="true" showDetail="false" errorStyle="color:red" />
			<table>
				<tr>
					<td>Name:</td>
					<td>
						<h:inputText id="Name" value="#{customer.name}" required="true"/>
						<h:message for="Name" style="color:red"/>
				    </td>
				</tr>
				<tr>
					<td>Benutzername:</td>
					<td>
						<h:inputText id="Benutzername" value="#{customer.username}" required="true"/>
						<h:message for="Benutzername" style="color:red"/>
				    </td>
				</tr>
				<tr>
					<td>Passwort:</td>
					<td>
						<h:inputSecret id="Passwort" value="#{customer.password}" required="true"/>
						<h:message for="Passwort" style="color:red"/>
				    </td>
				</tr>
				<tr>
					<td>Anschrift:</td>
					<td>
						<h:inputText id="Anschrift" value="#{address.street}" required="true"/>
						<h:message for="Anschrift" style="color:red"/>
				    </td>
				</tr>
				<tr>
					<td>Postleitzahl:</td>
					<td>
						<h:inputText id="Postleitzahl" value="#{address.zip}" required="true"/>
						<h:inputText id="Ort" value="#{address.city}" required="true"/>
						<h:message for="Postleitzahl" style="color:red"/>
						<h:message for="Ort" style="color:red"/>
				    </td>
				</tr>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Registrieren" action="#{customerAction.register}" immediate="false" />
						<h:commandButton type="submit" value="Abbruch" action="cancel" immediate="true" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
	</body>
</html>