<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://acegisecurity.org/authz" prefix="authz" %>

<h:form id="topForm">
	<h1>OPIZ - Pizza online bestellen</h1>
	[<h:commandLink value="Home" action="home" />]
	<authz:authorize ifNotGranted="ROLE_ADMIN">
		[<h:commandLink value="Warenkorb" action="showOrder" />]
	</authz:authorize>
	<authz:authorize ifNotGranted="ROLE_CUSTOMER,ROLE_ADMIN">
		[<h:commandLink value="Registrieren" action="register"/>]
		[<h:commandLink value="Anmelden" action="login"/>]
	</authz:authorize>
	<authz:authorize ifAnyGranted="ROLE_ADMIN">
		[<h:commandLink value="Kundenliste" action="showCustomer"/>]
	</authz:authorize>
	<authz:authorize ifAnyGranted="ROLE_CUSTOMER">
		[<h:commandLink value="Meine Daten" action="#{customerAction.editCustomer}"/>]
		[<h:commandLink value="Meine Bestellungen" action="orderHistory"/>]
	</authz:authorize>
	<authz:authorize ifAnyGranted="ROLE_CUSTOMER,ROLE_ADMIN">
		[<h:commandLink value="Abmelden" action="logout"/>
		 (<authz:authentication operation="username"/> )]
	</authz:authorize>
</h:form>
