package de.hanser.buch.test;

import org.easymock.EasyMock;
import org.springframework.beans.factory.FactoryBean;

@SuppressWarnings("unchecked")
public class EasyMockFactoryBean implements FactoryBean {

    public Class mockClass;
    

    public void setMockClass(Class mockClass) {
        this.mockClass = mockClass;
    }
    
    @SuppressWarnings("unchecked")
    public Object getObject() throws Exception {
        return EasyMock.createMock(mockClass);
    }

    public Class getObjectType() {
        return mockClass;
    }

    public boolean isSingleton() {
        return true;
    }
}
