<%@ page contentType="text/html"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<%@ include file="../base/includeHeader.jsp"%>
<body>
	<f:view>
		<%@ include file="../top.jsp"%>
		<h:form id="form">
			<h3>Bestellung</h3>
			<table>
				<tr>
					<td>Kunde:</td>
					<td>
					<h:outputText value="#{currentOrder.customer.name}" />
				    </td>
				</tr>
				<tr>
					<td>Status:</td>
					<td>
						<h:outputText value="#{currentOrder.state}" />
				    </td>
				</tr>
				<h:dataTable value="#{currentOrder.pizzas}" var="pizza"
					border="1">
					<h:column>
						<h:outputText value="#{pizza.name}" />
					</h:column>
					<h:column>
					</h:column>
					<h:column>
						<h:dataTable value="#{pizza.toppings}" var="topping"
							border="1">
							<h:column>
								<h:outputText value="#{topping.name}" />
							</h:column>
						</h:dataTable>
					</h:column>
				</h:dataTable>
				<tr>
					<td colspan="2" class="buttonBar">
						<h:commandButton type="submit" value="Status auf geliefert setzen" action="deliver" immediate="false" />
						<h:commandButton type="submit" value="Zurck" action="back" immediate="false" />
						<h:commandButton type="submit" value="Abbruch" action="cancel" immediate="false" />
					</td>
				</tr>
			</table>
		</h:form>
	</f:view>
</body>
</html>
