package de.hanser.buch.opiz.domain;

/**
 * Der möglichen Zustände der Order.
 */
public enum OrderState {
    
    /**
     * Die Order wird vom Kunden erstellt.
     */
    NEW,
    
    /**
     * Die Order ist vom Kunden fertiggestellt worden.
     */
    OPEN,

    /**
     * Die Order ist ausgeliefert worden
     */
    DELIVERED
}
