package de.hanser.buch.opiz.service;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

/**
 * Zwei Tests um zu zeigen, dass der Spring-Context wiederverwendet wird,
 * solange der Key in getConfigLocations gleich ist.
 * 
 * @author Gerald Bachlmayr
 * @author oates
 * 
 */

public class ApplicationContextTest1 extends
		AbstractDependencyInjectionSpringContextTests {

	public void testEnvironment1() {
		System.out.println("Test 1: " + applicationContext.getDisplayName() + ", hashCode: "
				+ applicationContext.hashCode());
	}

	public void testEnvironment2() {
		System.out.println("Test 2: " + applicationContext.getDisplayName() + ", hashCode: "
				+ applicationContext.hashCode());
	}

	@Override
	protected String[] getConfigLocations() {
		return new String[] { "applicationContext.xml" };
	}

}
